import { ReactNode } from 'react';
import { Navigate, Outlet } from 'react-router-dom';

export const Auth = ({
  redirectUrl,
  children = null
}: {
  redirectUrl: string;
  children?: ReactNode;
}) => {
  const component = children ? children : <Outlet />;
  const auth = false;

  return auth ? component : <Navigate to={redirectUrl} replace />;
};
